Subject: [mpls] [IANA #808974] Last Call: <draft-ietf-mpls-lsp-ping-registry-02.txt> (IANA registries for LSP ping Code Points) to Proposed Standard

From: "Amanda Baber via RT" <[email-masked]>
Date: Mon, 02 Mar 2015 05:21:00 +0000

(BEGIN IANA LAST CALL COMMENTS)

IESG/Authors/WG Chairs:

IANA has reviewed draft-ietf-mpls-lsp-ping-registry-02.  Please report any inaccuracies and respond to any questions as soon as possible.

IANA's reviewer has the following comments:

IANA understands that the authors of this document wish to create four new registries under the Multi-Protocol Label Switching (MPLS) Label Switched Paths (LSPs) Ping Parameters heading at

https://www.iana.org/assignments/mpls-lsp-ping-parameters/

First, a new registry called "DS Flags" will be created in the location above. The registration policy, as defined by RFC 5226, is Standards Action. These are the initial registrations:

Bit number Name Reference
---------- ---------------------------------------- ---------
7 N: Treat as a Non-IP Packet RFC4379
6 I: Interface and Label Stack Object Request RFC4379
5-0 Unassigned

Second, a new registry called "Multipath Type" will be created in the location above. The registration policy, as defined by RFC 5226, is as follows:

0-250 Standards Action
251-254 Experimental
255 Standards Action

Initial registrations:

Value Meaning Reference
---------- ---------------------------------------- ---------
0 no multipath RFC4379
1 Unassigned
2 IP address RFC4379
3 Unassigned
4 IP address range RFC4379
5-7 Unassigned
8 Bit-masked IP address set RFC4379
9 Bit-masked label set RFC4379
10-250 Unassigned
251-254 Experimental [ RFC-to-be ]
255 Reserved [ RFC-to-be ]

Third, a new registry called "Pad Type" will be created in the location above. The registration policy, as defined by RFC 5226, is as follows:

0-250 Standards Action
251-254 Experimental
255 Standards Action

Initial registrations:

Value Meaning Reference
---------- ---------------------------------------- ---------
0 Reserved RFC4379
1 Drop Pad TLV from reply RFC4379
2 Copy Pad TLV to reply RFC4379
3-250 Unassigned
251-254 Experimental [ RFC-to-be ]
255 Reserved [ RFC-to-be ]

Third, a new registry called "Label Stack Address Type" will be created in the location above. The registration policy, as defined by RFC 5226, is as follows:

0-250 Standards Action
251-254 Experimental
255 Standards Action

Initial registrations: 

Value Meaning Reference
---------- ---------------------------------------- ---------
0 Reserved RFC4379
1 IPv4 Numbered RFC4379
2 IPv4 Unnumbered RFC4379
3 IPv6 Numbered RFC4379
4 IPv6 Unnumbered RFC4379
5-250 Unassigned
251-254 Experimental [ RFC-to-be ]
255 Reserved [ RFC-to-be ]

Note:  The actions requested in this document will not be completed until the document has been approved for publication as an RFC. This message is only to confirm what actions will be performed.   

Thanks,

Amanda Baber
IANA Request Specialist
ICANN

(END IANA LAST CALL COMMENTS)

On Mon Feb 16 14:20:13 2015, [email-masked] wrote:
> 
> The IESG has received a request from the Multiprotocol Label Switching WG
> (mpls) to consider the following document:
> - 'IANA registries for LSP ping Code Points'
>   <draft-ietf-mpls-lsp-ping-registry-02.txt> as Proposed Standard
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2015-03-02. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
>    RFC 4379 and RFC 6424 created name spaces for Multiprotocol Label
>    Switching (MPLS) Label Switched Path (LSP) Ping.  However, those RFCs
>    did not create the corresponding IANA registries for the Downstream
>    Mapping object Flags (DS Flags), Multipath Type, Pad TLV and Address
>    Types.
> 
>    There is now a need to make further code point allocations from these
>    name spaces.  This document updates RFC 4379 and RFC 6424 in that it
>    creates the IANA registries for that purpose.
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-registry/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-ietf-mpls-lsp-ping-registry/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
>

---

From: Loa Andersson <[email-masked]>
Date: Mon, 02 Mar 2015 13:26:13 +0800

Folks,

As far as I can this is OK, but can someone more take a look before we
respond?

/Loa

-- 

Loa Andersson                        email: [email-masked]
Senior MPLS Expert                          [email-masked]
Huawei Technologies (consultant)     phone: +46 739 81 21 64

---

From: Nobo Akiya <[email-masked]>
Date: Mon, 2 Mar 2015 08:40:48 -0500

Hi Loa,

"Label Stack Address Type" registry should be named "Interface and Label
Stack Address Type". Besides this, all information looks correct.

Thanks!

-Nobo

On Mon, Mar 2, 2015 at 12:26 AM, Loa Andersson <[email-masked]> wrote:

>> IANA has reviewed draft-ietf-mpls-lsp-ping-registry-02.  Please report
>> any inaccuracies and respond to any questions as soon as possible.
>>
>> IANA understands that the authors of this document wish to create four
>> new registries under the Multi-Protocol Label Switching (MPLS) Label
>> Switched Paths (LSPs) Ping Parameters heading at
>>
>> First, a new registry called "DS Flags" will be created in the location
>> above. The registration policy, as defined by RFC 5226, is Standards
>> Action. These are the initial registrations:
>>
>> Second, a new registry called "Multipath Type" will be created in the
>> location above. The registration policy, as defined by RFC 5226, is as
>> follows:
>>
>> 0-250 Standards Action
>> 251-254 Experimental
>> 255 Standards Action
>>
>> Initial registrations:
>>
>> Value Meaning Reference
>> Third, a new registry called "Pad Type" will be created in the location
>> above. The registration policy, as defined by RFC 5226, is as follows:
>>
>> 0-250 Standards Action
>> 251-254 Experimental
>> 255 Standards Action
>>
>> Initial registrations:
>>
>> Value Meaning Reference
>> Third, a new registry called "Label Stack Address Type" will be created
>> in the location above. The registration policy, as defined by RFC 5226, is
>> as follows:
>>
>> 0-250 Standards Action
>> 251-254 Experimental
>> 255 Standards Action
>>
>> Initial registrations:
>>
>> Value Meaning Reference
>> Note:  The actions requested in this document will not be completed until
>> the document has been approved for publication as an RFC. This message is
>> only to confirm what actions will be performed.
>>
>> Thanks,
>>
>> Amanda Baber
>> IANA Request Specialist
>> ICANN
>>

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 2 Mar 2015 12:32:28 +0000

Hi Amanda,

Thanks — these actions are OK to me, with only one small correction on the 4th item, inline:

> On Mar 2, 2015, at 12:21 AM, Amanda Baber via RT <[email-masked]> wrote:
> 

This one should be called “Interface and Label Stack Address Type” (and is the 4th and not 3rd action).

Thanks!

Carlos.

---

From: Loa Andersson <[email-masked]>
Date: Fri, 06 Mar 2015 13:08:40 +0800

Working Group,

I sent this is in response to a mail from Bruno asking about mails
relating to the IESG evaluation of documents. Of course it bounced
again and Eric has one more mail to take care of.

/Loa

On 2015-03-06 12:52, Loa Andersson wrote:
> Bruno,
>
> There has been a discussion (on the wg-chairs list I think) about the
> .all  mail alias. The working groups were added by default to the .all,
> e.g. [email-masked].
>
> It causes a number of problems, e.g. bounces that the list manager need
> to take care of.
>
> Just now it will be the default for all documents that have been
> accepted after a certain time.
>
> Currently I don't know what to react to this.
>
> It causes a lot of extra work, but OTOH it is my understanding that
> the  IESG want the these mails to go to the working group.
>
> /Loa
>
> On 2015-03-06 00:28, [email-masked] wrote:
>> Thanks Huub.
>>
>> Loa, all,
>>
>> I've also just noticed that the mpls mailing list is in copy of all
>> emails related to the IESG review.
>> I don't recall that this is the case for others draft.
>>
>> Thanks,
>> Bruno
>>
>>> -----Original Message-----
>>> From: Huub van Helvoort [mailto:[email-masked]]
>>> Sent: Thursday, March 05, 2015 5:11 PM
>>> To: Loa Andersson
>>> Cc: [email-masked]
>>> Subject: Re: [mpls] [IANA #808974] Last Call: <draft-ietf-mpls-lsp-ping-
>>> registry-02.txt> (IANA registries for LSP ping Code Points) to Proposed
>>> Standard
>>>
>>> Hello Loa,
>>>
>>> Looking at the To: and Cc: of your original email you intended to
>>> send only to:
>>>    [email-masked]
>>>
>>> However, I received it too.
>>>
>>> In noticed on another email exchange that my old (now invalid)
>>> contact email
>>> was used.
>>>
>>> Is something wrong in the ietf tools for forwarding?
>>>
>>> BR, Huub.
>>>
>>>
>>> --
>>> ************************************************************
>>> *****
>>>                 请记住，你是独一无二的，就像其他每一个人一样
>>
>> _________________________________________________________________________________________________________________________
>>
>>
>> Ce message et ses pieces jointes peuvent contenir des informations
>> confidentielles ou privilegiees et ne doivent donc
>> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez
>> recu ce message par erreur, veuillez le signaler
>> a l'expediteur et le detruire ainsi que les pieces jointes. Les
>> messages electroniques etant susceptibles d'alteration,
>> Orange decline toute responsabilite si ce message a ete altere,
>> deforme ou falsifie. Merci.
>>
>> This message and its attachments may contain confidential or
>> privileged information that may be protected by law;
>> they should not be distributed, used or copied without authorisation.
>> If you have received this email in error, please notify the sender and
>> delete this message and its attachments.
>> As emails may be altered, Orange is not liable for messages that have
>> been modified, changed or falsified.
>> Thank you.
>>
>

--

---

From: Huub van Helvoort <[email-masked]>
Date: Thu, 05 Mar 2015 17:11:15 +0100

Hello Loa,

Looking at the To: and Cc: of your original email
you intended to send only to:
  [email-masked]

contact email was used.

BR, Huub.

-- 
*****************************************************************
               请记住，你是独一无二的，就像其他每一个人一样

---

From: <[email-masked]>
Date: Thu, 5 Mar 2015 16:28:10 +0000

Thanks Huub.

Loa, all,

I've also just noticed that the mpls mailing list is in copy of all emails related to the IESG review.
I don't recall that this is the case for others draft.

Thanks,
Bruno

> Looking at the To: and Cc: of your original email you intended to send only to:
> In noticed on another email exchange that my old (now invalid) contact email
> was used.
> 

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: Loa Andersson <[email-masked]>
Date: Fri, 06 Mar 2015 12:52:03 +0800

Bruno,

/Loa

--